MAMP Pro 2.1.4 und Imagick (php53)

Hier können Sie allgemeine Fragen zum Thema MAMP stellen.

Moderators: severin, Dirk Einecke

Post Reply
r.chard
Posts: 1
Joined: Fri 31. May 2013, 18:53

MAMP Pro 2.1.4 und Imagick (php53)

Post by r.chard » Fri 31. May 2013, 19:08

Hallo zusammen,
ich hoffe hier eine Lösung zu meinem Problem zu finden und zwar versuche ich bisher erfolglos Imagick mit Mamp Pro 2.1.4 zusammenzubringen.

Mit den vorangegangenen Versionen war es wohl möglich:
https://github.com/jdlx/install_Imagick ... tion-guide
https://github.com/0xPr0xy/Imagick
http://kingori.co/minutae/2013/04/imagick-on-mamp-pro/

Jedoch scheitere ich bei dem Fix der Inkompatibilität von "libfreetype", welcher wohl zuvor mit einer Veränderung der Datei "/Applications/MAMP/Library/bin/envvars" (MAC) vollzogen wurde.
Diese Datei hat sich aber geändert und beinhaltet nun mehr als die 2 Zeilen (s. Howto's oben) welche man auskommentieren soll - hier habe ich viel rumgespielt, jedoch erfolglos bisher.

Mein MAMP PRO PHP Startup Log zeigt mir folgendes an:

[31-May-2013 17:38:09 Europe/Berlin] PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/Cellar/php53-imagick/3.1.0RC2/imagick.so' - dlopen(/usr/local/Cellar/php53-imagick/3.1.0RC2/imagick.so, 9): Library not loaded: /usr/local/lib/libfreetype.6.dylib
Referenced from: /usr/local/lib/libMagickWand-Q16.7.dylib
Reason: Incompatible library version: libMagickWand-Q16.7.dylib requires version 17.0.0 or later, but libfreetype.6.dylib provides version 16.0.0 in Unknown on line 0

MAMP Pro läuft mit PHP 5.3.20 und die php.ini wurde entsprechend auch angepasst und geladen.

Von euch jemand das gleiche Problem oder gar eine Lösung parat?

Ein Cheers in die Runde
Richard

Post Reply

Who is online

Users browsing this forum: Google [Bot] and 1 guest